Module java.base
Package java.security.interfaces

## Interface RSAMultiPrimePrivateCrtKey

- All Superinterfaces:
    `Destroyable`, `Key`, `PrivateKey`, `RSAKey`, `RSAPrivateKey`, `Serializable`

      public interface RSAMultiPrimePrivateCrtKey
      extends RSAPrivateKey

  The interface to an RSA multi-prime private key, as defined in the PKCS#1 v2.2 standard, using the Chinese Remainder Theorem (CRT) information values.
  Since:
    1.4
  See Also:
    `RSAPrivateKeySpec`, `RSAMultiPrimePrivateCrtKeySpec`, `RSAPrivateKey`, `RSAPrivateCrtKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `serialVersionUID` | Deprecated. A `serialVersionUID` field in an interface is ineffectual.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `BigInteger` | `getCrtCoefficient()` | Returns the crtCoefficient.
    `RSAOtherPrimeInfo[]` | `getOtherPrimeInfo()` | Returns the otherPrimeInfo or null if there are only two prime factors (p and q).
    `BigInteger` | `getPrimeExponentP()` | Returns the primeExponentP.
    `BigInteger` | `getPrimeExponentQ()` | Returns the primeExponentQ.
    `BigInteger` | `getPrimeP()` | Returns the primeP.
    `BigInteger` | `getPrimeQ()` | Returns the primeQ.
    `BigInteger` | `getPublicExponent()` | Returns the public exponent.

    - ### Methods declared in interface javax.security.auth.Destroyable

      `destroy, isDestroyed`

    - ### Methods declared in interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods declared in interface java.security.interfaces.RSAKey

      `getModulus, getParams`

    - ### Methods declared in interface java.security.interfaces.RSAPrivateKey

      `getPrivateExponent`

- - ### Field Detail

    - #### serialVersionUID

          @Deprecated
          static final long serialVersionUID

      Deprecated.
      A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
      The type fingerprint that is set to indicate serialization compatibility with a previous version of the type.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getPublicExponent

          BigInteger getPublicExponent()

      Returns the public exponent.
      Returns:
        the public exponent.

    - #### getPrimeP

          BigInteger getPrimeP()

      Returns the primeP.
      Returns:
        the primeP.

    - #### getPrimeQ

          BigInteger getPrimeQ()

      Returns the primeQ.
      Returns:
        the primeQ.

    - #### getPrimeExponentP

          BigInteger getPrimeExponentP()

      Returns the primeExponentP.
      Returns:
        the primeExponentP.

    - #### getPrimeExponentQ

          BigInteger getPrimeExponentQ()

      Returns the primeExponentQ.
      Returns:
        the primeExponentQ.

    - #### getCrtCoefficient

          BigInteger getCrtCoefficient()

      Returns the crtCoefficient.
      Returns:
        the crtCoefficient.

    - #### getOtherPrimeInfo

          RSAOtherPrimeInfo[] getOtherPrimeInfo()

      Returns the otherPrimeInfo or null if there are only two prime factors (p and q).
      Returns:
        the otherPrimeInfo.